Agents
Update an agent
Scope: agent:write
Authorization
bearerAuth AuthorizationBearer <token>
Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer admp_...
In: header
Path Parameters
agent.id*id
Unique identifier for the agent (UUID).
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://api.admiral.io/api/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "agent": {} }'{ "agent": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "AGENT_KIND_UNSPECIFIED", "name": "string", "description": "string", "labels": { "property1": "string", "property2": "string" }, "health_status": "AGENT_HEALTH_STATUS_UNSPECIFIED", "cluster_uid": "string", "created_by": { "id": "string", "display_name": "string", "email": "string" }, "created_at": "2023-01-15T01:30:15.01Z", "updated_at": "2023-01-15T01:30:15.01Z" }}